/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include "ProjStructureUiPart.h"
#include "ui_FlatProjectEditor.h"

namespace DESpot
{
	class DesFlatProject;
	class Des;

	class FlatProjStructureUiPart : public ProjStructureUiPart
	{
		Q_OBJECT

		public:
			FlatProjStructureUiPart(Ui::FlatProjectEditorUI* pUiContainer, DesFlatProject* pProject);
			virtual ~FlatProjStructureUiPart(void);
		
		private:
			DesFlatProject& project();

			void loadProjectStruct();
			void addSupDesToUiItem();			
			void addPlantDesToUiItem();

	};

} //end of namespace DESpot

